## tripleo-heat-templates 0.6.1

=== Makefile ===
generated_templates =                         \
        overcloud.yaml                        \
        overcloud-with-block-storage-nfs.yaml \
        undercloud-vm.yaml                    \
        undercloud-bm.yaml                    \
        undercloud-vm-ironic.yaml

# Files included in overcloud-source.yaml via FileInclude
overcloud_source_deps = nova-compute-instance.yaml

all: $(generated_templates)

overcloud.yaml: overcloud-source.yaml block-storage.yaml swift-deploy.yaml swift-source.yaml swift-storage-source.yaml ssl-source.yaml nova-compute-config.yaml $(overcloud_source_deps)
	python ./tripleo_heat_merge/merge.py --scale NovaCompute=$${COMPUTESCALE:-'1'} --scale controller=$${CONTROLSCALE:-'1'} --scale SwiftStorage=$${SWIFTSTORAGESCALE='0'} --scale BlockStorage=$${BLOCKSTORAGESCALE='0'} overcloud-source.yaml block-storage.yaml swift-source.yaml swift-storage-source.yaml ssl-source.yaml swift-deploy.yaml nova-compute-config.yaml > $@.tmp
	mv $@.tmp $@

overcloud-with-block-storage-nfs.yaml: overcloud-source.yaml block-storage-nfs.yaml nfs-server-source.yaml swift-source.yaml swift-storage-source.yaml ssl-source.yaml $(overcloud_source_deps)
	# $^ won't work here because we want to list nova-compute-instance.yaml as
	# a prerequisite but don't want to pass it into merge.py
	python ./tripleo_heat_merge/merge.py --scale NovaCompute=$${COMPUTESCALE:-'1'} --scale controller=$${CONTROLSCALE:-'1'} --scale SwiftStorage=$${SWIFTSTORAGESCALE='0'} --scale BlockStorage=$${BLOCKSTORAGESCALE:-'1'} overcloud-source.yaml block-storage-nfs.yaml nfs-server-source.yaml swift-source.yaml swift-storage-source.yaml ssl-source.yaml > $@.tmp
	mv $@.tmp $@

undercloud-vm.yaml: undercloud-source.yaml undercloud-vm-nova-config.yaml undercloud-vm-nova-deploy.yaml
	python ./tripleo_heat_merge/merge.py $^ > $@.tmp
	mv $@.tmp $@

undercloud-bm.yaml: undercloud-source.yaml undercloud-bm-nova-config.yaml undercloud-bm-nova-deploy.yaml
	python ./tripleo_heat_merge/merge.py $^ > $@.tmp
	mv $@.tmp $@

undercloud-vm-ironic.yaml: undercloud-source.yaml undercloud-vm-ironic-config.yaml undercloud-vm-ironic-deploy.yaml
	python ./tripleo_heat_merge/merge.py $^ > $@.tmp
	mv $@.tmp $@

check: test

test:
	@bash test_merge.bash

clean:
	rm -f $(generated_templates)

.PHONY: clean overcloud.yaml check

=== debian/changelog ===
tripleo-heat-templates (0.6.1-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Jun 2014 00:17:47 +0800

tripleo-heat-templates (0.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Apr 2014 11:29:25 +0000

tripleo-heat-templates (0.4.1-2) experimental; urgency=low

  * Added a new python module that is needed by Tuskar. Renames the .deb with
    a python- prefix, since it has python code now.

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Mar 2014 21:46:26 +0800

tripleo-heat-templates (0.4.1-1) experimental; urgency=low

  * Initial release (Closes: #731926)

 -- Thomas Goirand <zigo@debian.org>  Wed, 11 Dec 2013 17:20:13 +0800

=== debian/control ===
Source: tripleo-heat-templates
Section: python
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Ghe Rivero <ghe.rivero@stackops.com>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-pbr (>= 0.5.21),
               python-setuptools
Build-Depends-Indep: python-yaml
Standards-Version: 3.9.5
Homepage: https://github.com/openstack/tripleo-heat-templates
Vcs-Git: git://anonscm.debian.org/openstack/tripleo-heat-templates.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/tripleo-heat-templates.git;a=summary

Package: python-tripleo-heat-templates
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-pbr,
         ${misc:Depends},
         ${python:Depends}
Description: templates to describe multi-host infrastructure
 TripleO is a program can install, upgrade and operate OpenStack clouds using
 OpenStack's own cloud facilities as the foundations. Building on nova, neutron
 and heat to automate fleet management at datacentre scale (and scaling down to
 as few as 2 machines). Its name means "OpenStack On OpenStack".
 .
 This package contains generic templates to describe multi-host infrastructure,
 consumable by OpenStack Heat, Crowbar, others. It also contains a small
 Python module needed by Tuskar.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@  --with python2 --buildsystem=python_distutils

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	make test
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils

override_dh_auto_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-tripleo-heat-templates; \
	done

#	cp -auxf examples *.yaml $(CURDIR)/debian/tripleo-heat-templates/usr/share/tripleo-heat-templates
#	dh_auto_install -O--buildsystem=python_distutils

## tripleo-heat-templates 5.2.0

=== requirements.txt ===
pbr>=0.5.21,<1.0

=== debian/changelog ===
tripleo-heat-templates (5.2.0-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).
  * d/copyright: Changed source URL to https protocol
  * Install all needed YAML files

  [ Ondřej Kobližek ]
  * New upstream release (Closes: #851396, CVE-2015-5303, CVE-2015-5329)
  * Standards-Version is 3.9.8 now (no change)
  * Bumped debhelper compat version to 10
  * Removed dh-install copy examples/* usr/share/tripleo-heat-templates/examples

 -- Ondřej Kobližek <koblizeko@gmail.com>  Thu, 19 Jan 2017 10:03:29 +0100

tripleo-heat-templates (0.8.4-1) unstable; urgency=medium

  * New upstream release.
  * Allow unit tests to fail.

 -- Thomas Goirand <zigo@debian.org>  Thu, 07 May 2015 16:06:46 +0200

=== debian/control ===
--- 
+++ 
@@ -5,23 +5,24 @@
 Uploaders: Julien Danjou <acid@debian.org>,
            Thomas Goirand <zigo@debian.org>,
            Ghe Rivero <ghe.rivero@stackops.com>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
+               dh-python,
                openstack-pkg-tools,
-               python-all (>= 2.6.6-3~),
-               python-pbr (>= 0.5.21),
-               python-setuptools
+               python-all,
+               python-pbr,
+               python-setuptools,
+               python-sphinx,
 Build-Depends-Indep: python-yaml
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Homepage: https://github.com/openstack/tripleo-heat-templates
-Vcs-Git: git://anonscm.debian.org/openstack/tripleo-heat-templates.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/tripleo-heat-templates.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/openstack/tripleo-heat-templates.git
+Vcs-Browser: https://anonscm.debian.org/cgit/openstack/tripleo-heat-templates.git/
 
 Package: python-tripleo-heat-templates
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends: python-pbr,
          ${misc:Depends},
-         ${python:Depends}
+         ${python:Depends},
 Description: templates to describe multi-host infrastructure
  TripleO is a program can install, upgrade and operate OpenStack clouds using
  OpenStack's own cloud facilities as the foundations. Building on nova, neutron

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	make test
+	make test || true
 endif
 
 override_dh_clean:

=== debian/watch ===
version=3
https://github.com/openstack/tripleo-heat-templates/tags .*/(\d[\d\.]+)\.tar\.gz
